One series
GET
/v1/series/{id}The definition of one series: name, unit, frequency, first and latest period and the breakdown it belongs to.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| idrequired | string path | Series id from /v1/series e.g. jp.arrivals.total.m |
Request
# One series with its unit, frequency and office
curl "https://api.tourismapi.com/v1/series/jp.arrivals.total.m" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/series/jp.arrivals.total.m", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/series/jp.arrivals.total.m",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/series/jp.arrivals.total.m");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_890bd7da3e",
"data_as_of": "2026-10-20T04:47:58Z",
"count": 1
},
"data": {
"id": "sr_wxq9yq5v",
"alias": "jp.arrivals.total.m",
"country": "JP",
"name": "Visitor arrivals to Japan from Total",
"measure": "arrivals",
"breakdown": null,
"freq": "M",
"unit": "visitors",
"first": "2003-01",
"last": "2026-08",
"points": 284,
"headline": true
}
}Response fields
| Field | Type | Example |
|---|---|---|
| id | string | sr_wxq9yq5v |
| alias | string | jp.arrivals.total.m |
| country | string | JP |
| name | string | Visitor arrivals to Japan from Total |
| measure | string | arrivals |
| breakdown | null | null |
| freq | string | M |
| unit | string | visitors |
| first | string | 2003-01 |
| last | string | 2026-08 |
| points | number | 284 |
| headline | boolean | true |